Subject: Re: Crontab issue
From: Mogyorósi István <[email-masked]>
To: [email-masked]
Date: Tue, 21 Sep 2004 09:58:55 +0200

Igor Pechtchanski wrote:

> On Mon, 20 Sep 2004, Mogyorósi István wrote:
>
>> Hello,
>>
>> I spent quite a lot of time reading the subject and I still dont have
>> clear sight on the problem. It is probably a permission/access sync
>> issue between Cygwin and NT. But my case is NOT a network drive.
>>
>> Case 1,
>> crontab -e [ logged in as Administrator ]
>> 20 12 * * * /home/Administrator/mydate.sh [ my own script to exec ]
>> -----
>> it works with the result written in my home directory.
>> mydate.sh is `date >mydate.txt`
>
>
> It's a good idea to specify the absolute paths for any commands or output
> files.
>
>> Case 2,
>> crontab -e [ logged in as Administrator ]
>> 25 12 * * * /cygdrive/e/otherpath/mydate.sh [ my second script to exec ]
>> -------------
>> this does not work.
>> My Error message in Eventlog is:
>> bla .. bla .. /usr/sbin/cron : PID 2356 : (Administrator) CMD
>> (/cygdrive/e/otherpath/mydate.sh 2>&1)
>
>
> Hmm, looks like it *is* getting executed, but the output is lost?  See
> the previous comment.
>
Ok. The output needs absolute path too. The script works.
But, my *real *script contains relative paths to config files,
and password files.
I dont think it worth to extend the PATH variable in
crontab file. So I made a second script with absolute path
references in the mentionned real script v.2
cygpath=/cygdrive/e/mypath
all paths were updated in $cygpath/actual_path format,
and VOILÁ ! Job done.

Thanks Igor !

>> The access permissions for both shell scripts are identical.
>> The only difference is the path to execute.
>
>
> Can you execute the latter script from the command line as Administrator?
> If not, are the access permissions on both *paths* sufficient?  For a
> script to be executable, all the components in the path to it have to be
> reachable (i.e., the directories have to have at least the execute
> permission).
>
>> If I install the service as Administrator, and try to start it
>> with the Service Control Manager it fails to start and
>> I get the error message in the Event Log:
>> ... bla bla .. Cygwin_cron : PID 2260 : starting service
>> 'Cygwin_cron' failed : execv: 1 , Operation not permitted.
>
>
> This is a different symptom -- most likely the necessary DLLs in your 
> /bin
> are not executable by non-owners (i.e., SYSTEM, which is the user cron
> will run under when installed as service).  A "chmod -R a+X /bin" should
> help (you might also need to fix permissions for other files/directories
> under /var, and maybe /lib, /share, and /etc).
>     Igor

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/